Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234472 - Mutliple Program-Related SKUs Require Channel Mappings
Summary: Mutliple Program-Related SKUs Require Channel Mappings
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels
Version: RHN Stable
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Brandon Perkins
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-29 15:08 UTC by Matt Webbink
Modified: 2007-04-13 20:54 UTC (History)
2 users (show)

Fixed In Version: rhn500
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-13 20:54:28 UTC


Attachments (Terms of Use)
"None"-corrected csv file that i'm actually using for this (deleted)
2007-04-02 19:16 UTC, Bret McMillan
no flags Details

Description Matt Webbink 2007-03-29 15:08:54 UTC
A number of SKUs have been created to support new programs.  Please map channels
to these SKUs per revision # 114029 of sku-mappings.csv in WebQA.

Once approved in QA, please push to Prod.

Comment 1 Bret McMillan 2007-04-02 19:14:05 UTC
Fails qa, WAR0384 shows up as an invalid product code:

Processing CSV /root/234472.csv
  found 36 items
    SER0263-IPP SER0263-SI SVC0380 SVC0381 SVC0382 SVC0383 SVC0389 SVC0395 
    SVC0396 SVC0397 SVC0398 SVC0399 SVC0400 SVC0401 SVC0402 SVC0403 SVC0404 
    SVC0405 SVC0406 SVC0407 WAR0379 WAR0380 WAR0381 WAR0382 WAR0383 WAR0384 
    WAR0385 WAR0386 WAR0387 WAR0388 WAR0389 WAR0390 WAR0391 WAR0392 WAR0393 
    WAR0394 
Creating item mappings
  processing item SVC0401
  processing item WAR0379
  processing item SVC0400
  processing item SVC0389
  processing item SVC0403
  processing item SVC0382
  processing item SVC0383
  processing item SVC0380
  processing item SVC0381
  processing item WAR0388
  processing item WAR0389
  processing item SER0263-SI
  processing item WAR0382
  processing item WAR0383
  processing item WAR0380
  processing item WAR0381
  processing item WAR0386
  processing item WAR0387
  processing item WAR0384
Invalid item code 'WAR0384'
Invalid item code 'WAR0384'
Invalid item code 'WAR0384'
  processing item WAR0385
  processing item SVC0402
  processing item SVC0399
  processing item SVC0398
  processing item SVC0395
  processing item SVC0397
  processing item SVC0396
  processing item SER0263-IPP
  processing item SVC0405
  processing item WAR0394
  processing item SVC0407
  processing item SVC0406
  processing item WAR0391
  processing item WAR0390
  processing item WAR0393
  processing item WAR0392
  processing item SVC0404
Rolling back (--commit was not specified)


Comment 2 Bret McMillan 2007-04-02 19:16:47 UTC
Created attachment 151462 [details]
"None"-corrected csv file that i'm actually using for this

Attached is the actual csv-delta I'm using... the sku-mappings.csv files have 2
problems:

1)  they contain all inactive rows, making it really hard to show what I'm
actually changing

2)  they have "None" instead of empty-space for the quantity for user roles
(bug in the dumper tool)

Comment 3 Matt Webbink 2007-04-02 20:50:09 UTC
WAR0384 is now active in WebQA.

Comment 4 Bret McMillan 2007-04-02 20:56:34 UTC
Ok, it's on webqa now.

Processing CSV /root/234472.csv
  found 36 items
    SER0263-IPP SER0263-SI SVC0380 SVC0381 SVC0382 SVC0383 SVC0389 SVC0395 
    SVC0396 SVC0397 SVC0398 SVC0399 SVC0400 SVC0401 SVC0402 SVC0403 SVC0404 
    SVC0405 SVC0406 SVC0407 WAR0379 WAR0380 WAR0381 WAR0382 WAR0383 WAR0384 
    WAR0385 WAR0386 WAR0387 WAR0388 WAR0389 WAR0390 WAR0391 WAR0392 WAR0393 
    WAR0394 
Creating item mappings
  processing item SVC0401
  processing item WAR0379
  processing item SVC0400
  processing item SVC0389
  processing item SVC0403
  processing item SVC0382
  processing item SVC0383
  processing item SVC0380
  processing item SVC0381
  processing item WAR0388
  processing item WAR0389
  processing item SER0263-SI
  processing item WAR0382
  processing item WAR0383
  processing item WAR0380
  processing item WAR0381
  processing item WAR0386
  processing item WAR0387
  processing item WAR0384
  processing item WAR0385
  processing item SVC0402
  processing item SVC0399
  processing item SVC0398
  processing item SVC0395
  processing item SVC0397
  processing item SVC0396
  processing item SER0263-IPP
  processing item SVC0405
  processing item WAR0394
  processing item SVC0407
  processing item SVC0406
  processing item WAR0391
  processing item WAR0390
  processing item WAR0393
  processing item WAR0392
  processing item SVC0404
Scheduling org repolls
  0 orgs have active SVC0401 lines
  1 orgs have active WAR0379 lines
  0 orgs have active SVC0400 lines
  0 orgs have active SVC0389 lines
  0 orgs have active SVC0403 lines
  0 orgs have active SVC0382 lines
  0 orgs have active SVC0383 lines
  0 orgs have active SVC0380 lines
  0 orgs have active SVC0381 lines
  0 orgs have active WAR0388 lines
  0 orgs have active WAR0389 lines
  0 orgs have active SER0263-SI lines
  0 orgs have active WAR0382 lines
  0 orgs have active WAR0383 lines
  0 orgs have active WAR0380 lines
  0 orgs have active WAR0381 lines
  0 orgs have active WAR0386 lines
  0 orgs have active WAR0387 lines
  0 orgs have active WAR0384 lines
  0 orgs have active WAR0385 lines
  0 orgs have active SVC0402 lines
  0 orgs have active SVC0399 lines
  0 orgs have active SVC0398 lines
  0 orgs have active SVC0395 lines
  0 orgs have active SVC0397 lines
  0 orgs have active SVC0396 lines
  0 orgs have active SER0263-IPP lines
  0 orgs have active SVC0405 lines
  0 orgs have active WAR0394 lines
  0 orgs have active SVC0407 lines
  0 orgs have active SVC0406 lines
  0 orgs have active WAR0391 lines
  0 orgs have active WAR0390 lines
  0 orgs have active WAR0393 lines
  0 orgs have active WAR0392 lines
  0 orgs have active SVC0404 lines

Comment 5 Matt Webbink 2007-04-03 14:48:30 UTC
Looks good.  Please push to Production.

Comment 6 Matt Webbink 2007-04-10 15:16:38 UTC
Please push to Production.

Comment 7 Bret McMillan 2007-04-11 16:03:43 UTC
Error message from production:

Error Message:
    Invalid item code 'SVC0395'
Error Class Code: 5001
Error Class Info: Invalid item code


Please fix this and let me know when I can repush.

Comment 8 Matt Webbink 2007-04-11 22:24:38 UTC
SVC0395 has been activated on the web in Production.

Comment 9 James Bowes 2007-04-13 20:49:24 UTC
Added to production:

Processing item SVC0401
Processing item WAR0379
Processing item SVC0400
Processing item SVC0389
Processing item SVC0403
Processing item SVC0382
Processing item SVC0383
Processing item SVC0380
Processing item SVC0381
Processing item WAR0388
Processing item WAR0389
Processing item SER0263-SI
Processing item WAR0382
Processing item WAR0383
Processing item WAR0380
Processing item WAR0381
Processing item WAR0386
Processing item WAR0387
Processing item WAR0384
Processing item WAR0385
Processing item SVC0402
Processing item SVC0399
Processing item SVC0398
Processing item SVC0395
Processing item SVC0397
Processing item SVC0396
Processing item SER0263-IPP
Processing item SVC0405
Processing item WAR0394
Processing item SVC0407
Processing item SVC0406
Processing item WAR0391
Processing item WAR0390
Processing item WAR0393
Processing item WAR0392
Processing item SVC0404
  
Commit specified. Scheduling product repolls...
  0 orgs have active SVC0401 lines
  0 orgs have active WAR0379 lines
  0 orgs have active SVC0400 lines
  0 orgs have active SVC0389 lines
  0 orgs have active SVC0403 lines
  0 orgs have active SVC0382 lines
  0 orgs have active SVC0383 lines
  0 orgs have active SVC0380 lines
  0 orgs have active SVC0381 lines
  0 orgs have active WAR0388 lines
  0 orgs have active WAR0389 lines
  0 orgs have active SER0263-SI lines
  0 orgs have active WAR0382 lines
  0 orgs have active WAR0383 lines
  0 orgs have active WAR0380 lines
  0 orgs have active WAR0381 lines
  0 orgs have active WAR0386 lines
  0 orgs have active WAR0387 lines
  0 orgs have active WAR0384 lines
  0 orgs have active WAR0385 lines
  0 orgs have active SVC0402 lines
  0 orgs have active SVC0399 lines
  0 orgs have active SVC0398 lines
  0 orgs have active SVC0395 lines
  0 orgs have active SVC0397 lines
  0 orgs have active SVC0396 lines
  0 orgs have active SER0263-IPP lines
  0 orgs have active SVC0405 lines
  0 orgs have active WAR0394 lines
  0 orgs have active SVC0407 lines
  0 orgs have active SVC0406 lines
  0 orgs have active WAR0391 lines
  0 orgs have active WAR0390 lines
  0 orgs have active WAR0393 lines
  0 orgs have active WAR0392 lines
  0 orgs have active SVC0404 lines
  Queue now contains 0 orgs
Success. Committing transaction.



Note You need to log in before you can comment on or make changes to this bug.